curl -X POST https://api.chargeapi.co/v1/fleets/flt_XnW9iZdHLG0utAlIy1niQrATnLtvAX5e \
-H "Authorization: Bearer ch_sk_test_..." \
--json '{}'
{
"id": "flt_XnW9iZdHLG0utAlIy1niQrATnLtvAX5e",
"object": "fleet",
"address": {
"city": "Paris",
"country": "FR",
"line1": "10 Rue de la Paix",
"line2": "Batiment A",
"postal_code": "75002",
"state": "Ile-de-France"
},
"created": "2026-04-01T00:23:21.210Z",
"description": "Updated fleet description.",
"email": "example@example.com",
"metadata": {},
"metric_system": "international_system",
"name": "Example Fleet",
"phone": null,
"policy_ids": ["pol_RUAtrKscpYb1eJAdtfZvXIYyuagqN5qE"],
"preferences": {
"billing_cycle": "monthly",
"default_currency": "eur",
"default_payment_method": null,
"notifications": true,
"report_frequency": "weekly"
},
"status": "active",
"timezone": "Europe/Paris",
"total_drivers": 24,
"total_energy_consumed_kwh": 4825.4,
"total_sessions": 186,
"total_vehicles": 18,
"updated": "2026-04-01T02:23:28.028Z",
"wallet_balance": 32150
}
Fleets
Update a Fleet
curl -X POST https://api.chargeapi.co/v1/fleets/flt_XnW9iZdHLG0utAlIy1niQrATnLtvAX5e \
-H "Authorization: Bearer ch_sk_test_..." \
--json '{}'
{
"id": "flt_XnW9iZdHLG0utAlIy1niQrATnLtvAX5e",
"object": "fleet",
"address": {
"city": "Paris",
"country": "FR",
"line1": "10 Rue de la Paix",
"line2": "Batiment A",
"postal_code": "75002",
"state": "Ile-de-France"
},
"created": "2026-04-01T00:23:21.210Z",
"description": "Updated fleet description.",
"email": "example@example.com",
"metadata": {},
"metric_system": "international_system",
"name": "Example Fleet",
"phone": null,
"policy_ids": ["pol_RUAtrKscpYb1eJAdtfZvXIYyuagqN5qE"],
"preferences": {
"billing_cycle": "monthly",
"default_currency": "eur",
"default_payment_method": null,
"notifications": true,
"report_frequency": "weekly"
},
"status": "active",
"timezone": "Europe/Paris",
"total_drivers": 24,
"total_energy_consumed_kwh": 4825.4,
"total_sessions": 186,
"total_vehicles": 18,
"updated": "2026-04-01T02:23:28.028Z",
"wallet_balance": 32150
}
Updates a fleet. Parameters you omit keep their current values.
curl -X POST https://api.chargeapi.co/v1/fleets/flt_XnW9iZdHLG0utAlIy1niQrATnLtvAX5e \
-H "Authorization: Bearer ch_sk_test_..." \
--json '{}'
{
"id": "flt_XnW9iZdHLG0utAlIy1niQrATnLtvAX5e",
"object": "fleet",
"address": {
"city": "Paris",
"country": "FR",
"line1": "10 Rue de la Paix",
"line2": "Batiment A",
"postal_code": "75002",
"state": "Ile-de-France"
},
"created": "2026-04-01T00:23:21.210Z",
"description": "Updated fleet description.",
"email": "example@example.com",
"metadata": {},
"metric_system": "international_system",
"name": "Example Fleet",
"phone": null,
"policy_ids": ["pol_RUAtrKscpYb1eJAdtfZvXIYyuagqN5qE"],
"preferences": {
"billing_cycle": "monthly",
"default_currency": "eur",
"default_payment_method": null,
"notifications": true,
"report_frequency": "weekly"
},
"status": "active",
"timezone": "Europe/Paris",
"total_drivers": 24,
"total_energy_consumed_kwh": 4825.4,
"total_sessions": 186,
"total_vehicles": 18,
"updated": "2026-04-01T02:23:28.028Z",
"wallet_balance": 32150
}
Parameters
string
Updated contact email for the fleet.
string
New display name for the fleet.
string
Set the operational status of the fleet.Available options:
active, suspended, archivedstring
Updated IANA timezone identifier.
More parameters
object
Set of key-value pairs that you can attach to an object.
string
Updated preferred unit system.Available options:
international_system, us_customary_system, imperial_systemobject
Account-level settings related to billing, reporting, and charging activity.
Show properties
Show properties
string
Frequency of billing for the fleet (
monthly, weekly, etc.).string
Preferred currency for cost estimates and billing.
string
ID of the default payment method to use for charging sessions.
boolean
Whether drivers in this fleet receive session status notifications.
string
Frequency of automated report delivery (
weekly, monthly, etc.).Returns
Returns the updated fleet.⌘I

